Skip to content

Cancel transaction

POST
/api/v2.0/stores/{storeId}/transactions/{externalTransactionId}/cancel
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/transactions/ORDER-1001/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "reason": "example", "origin": { "system_id": "example", "employee_id": "example", "department_id": "example", "department_name": "example", "channel": "example" } }'
storeId
required
string

Store Id

Example
your-store-id
externalTransactionId
required
string

The original transaction Id that is being refunded (external_id) from CreateTransaction

Example
ORDER-1001

CancelationReason object: the reason for the cancellation

object
reason
string
nullable
origin

Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.

object
system_id
string
nullable
employee_id

The id for of the operator that made the request (if applicable)

string
nullable
department_id
string
nullable
department_name
string
nullable
channel

Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.

string
nullable
Examplegenerated
{
"reason": "example",
"origin": {
"system_id": "example",
"employee_id": "example",
"department_id": "example",
"department_name": "example",
"channel": "example"
}
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}